package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 清斗报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnQdjlCleaningitemsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnQdjlCleaningitems(PageData pd)throws Exception {
        return daoSupport.update("SKcKnQdjlCleaningitemsMapper.addSKcKnQdjlCleaningitems", pd);
    }

    public List<PageData> findSKcKnQdjlCleaningitemsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnQdjlCleaningitemsMapper.selectSKcKnQdjlCleaningitemsList", pd);
    }

    public Integer SKcKnQdjlCleaningitemsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnQdjlCleaningitemsMapper.SKcKnQdjlCleaningitemsRemove", pd);
    }


    public Integer updateSKcKnQdjlCleaningitems(PageData pd)throws Exception {
        return daoSupport.update("SKcKnQdjlCleaningitemsMapper.updateSKcKnQdjlCleaningitems", pd);
    }

}
